This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 41832 - 2.5.2p2-1.7.2.i386.rpm will not connect to Redhat linuz 7 openssh-2.1.1p4-1.i386.rpm
2.5.2p2-1.7.2.i386.rpm will not connect to Redhat linuz 7 openssh-2.1.1p4-1.i...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-22 11:21 EDT by Brian Pilati
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 04:32:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Pilati 2001-05-22 11:21:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When I installed the new openssh rpm I could not connect to a remote 
machine running 2.1 but openssh 2.1 will connect to a machine running 2.5.2

How reproducible:
Always

Steps to Reproduce:
1.Install rpm
2.add identity.pub localhost to remote host
3.rsync to the remote machine and it requires a password
	

Actual Results:  Asks for my password. How can you do a back up at night 
if you need to add a password

Expected Results:  To connect to the server without sending a password

Additional info:

This seems to be the problem on the openssh that shipped with Redhat 7.0. 
The update to openssh.2.1 fixed this problem but the newest openssh.2.5 
has the same problem
Comment 1 Pekka Savola 2001-06-20 03:20:33 EDT
Identity.pub is only used for SSH1.  It's not the default anymore.  You could
try forcing it with
ssh -o Protocol=1, and see what happens.  Else you could try creating SSH2 keys.

In any case, if this does not solve the problem, ssh -v -v -v and sshd -d -d -d
output is needed.
Comment 2 Tomas Mraz 2005-02-03 04:32:09 EST
Neither openssh2.5 nor 2.1 is supported anymore. And you shouldn't use
protocol 1 anyway as it's vulnerable to the man in the middle attack.

Note You need to log in before you can comment on or make changes to this bug.